// Einbetten der LiquidCrystal Bibliothek für LCD Displays
#include <LiquidCrystal.h> 
// Initialisieren des LCD Displays mit den PINS
// 12 - RS Daten PIN
// 11 - Enable PIN
// 5 - D4
// 4 - D5
// 3 - D6
// 2 - D7
LiquidCrystal lcd(12, 11, 5, 4, 3, 2);  
void setup() {   
        lcd.begin(16, 2);            // Einstellen des Displays für Zeilen und Spalten
	lcd.print("Hallo Welt!");  // Ausgabe des Textes "Hallo Welt!"
}
  
void loop() {       
  //Setzt den Cursor auf die Spalte 0 und die Zeile 1
  // die Nummerierung der Zeilen beginnt bei 0 d.h. Zeile 1 = 0, Zeile 2 = 1 usw.
  lcd.setCursor(0, 1);    // print the number of seconds since reset:   
  // Schreibt an dem zuvor gesetzen Curosr die Zeit welche seit dem Start verstrichen ist in Sekunden.
  lcd.print(millis()/1000); 
}
